tests

## Class PraktikumHolonsTestLoadAndStoreController

- java.lang.Object
- - tests.PraktikumHolonsTestLoadAndStoreController

    public class PraktikumHolonsTestLoadAndStoreController
    extends java.lang.Object

Tests for LoadAndStoreController.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`PraktikumHolonsTestLoadAndStoreController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setGraphPoints(HolonObject obj)` sets the graph points in all elements of an Object.
`void` `setUp()` Setup for the Tests.
`void` `testLoadAdvanced()` advanced tests for loading a save file.
`void` `testLoadBasic()` basic tests for loading a save file.
`void` `testLoadException()` Test for FileNotFound.
`void` `testLoadMinimal()` minimal tests for loading a save file.
`void` `testStoreAdvanced()` advanced tests for saving.
`void` `testStoreBasic()` basic tests for saving.
`void` `testStoreMinimal()` minimal tests for saving.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PraktikumHolonsTestLoadAndStoreController

    public PraktikumHolonsTestLoadAndStoreController()

### Method Detail

#### setUp

    public void setUp()

Setup for the Tests.

#### testStoreMinimal

    public void testStoreMinimal()

minimal tests for saving.

#### testStoreBasic

    public void testStoreBasic()

basic tests for saving.

#### testStoreAdvanced

    public void testStoreAdvanced()

advanced tests for saving.

#### testLoadMinimal

    public void testLoadMinimal()

minimal tests for loading a save file.

#### testLoadBasic

    public void testLoadBasic()

basic tests for loading a save file.

#### testLoadAdvanced

    public void testLoadAdvanced()

advanced tests for loading a save file.

#### testLoadException

    public void testLoadException()
                           throws java.io.IOException

Test for FileNotFound.

Throws:
  `java.io.IOException` - FileNotFoundException

#### setGraphPoints

    public void setGraphPoints(HolonObject obj)

sets the graph points in all elements of an Object.

Parameters:
  `obj` - the Object